@import '@fortawesome/fontawesome-free/css/all.css';
@import 'font-awesome';
@import 'ls-bootstrap.css';
@import '../../node_modules/jquery-ui/dist/themes/base/jquery-ui.css';
@import '../../vendor/libriciel/asalae-assets/src/css/asalae.bootstrapv4fix.css';
@import '../../vendor/libriciel/asalae-assets/src/css/Chart.min.css';
@import '../../vendor/libriciel/asalae-assets/src/css/asalae.css';
@import 'ls-element.css';
@import 'login.css';
@import 'versae.css';
@import 'select2';
@import 'roboto-fontface';
@import 'error.css';

body, body:not(.admin) {
    padding: 0;
}
body {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 14px;
}
#body-content > header {
    position: relative;
}
#body-content > header {
    background: #ffffff;
    box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
}
body {
    overflow: hidden;
}
#topbar-container {
    justify-content: space-between;
}
#topbar-container .dropdown > a {
}

.main-content,
#sidebar-container
{
    padding-bottom: 50px; /* fixed footer */
}
#sidebar-container {
    height: calc(100vh - 88px);
    background-color: #fff;
    padding: 0;
    -webkit-box-shadow: 0 3px 5px 0 rgba(0,0,0,.2);
    -webkit-transition: width .3s;
    transition: width .3s;
    box-shadow: 0 3px 5px 0 rgba(0,0,0,.2);
    overflow: auto;
    flex: 0 0 auto;
}
.header-with-top-menu #sidebar-container {
    height: calc(100vh - 139px);
}
#navigation {
    display: flex;
}
#sidebar-container li {
    list-style-type: none;
}
#sidebar-container .list-group .sidebar-submenu a,
#sidebar-container .list-group .sidebar-submenu button {
    height: auto;
    padding-left: 45px;
    align-items: center;
}
.sidebar-submenu > li > .sidebar-submenu {
    padding-left: 25px
}
#sidebar-container .list-group a {
    height: auto;
}
span.anchor[data-href]:hover {
    text-decoration: underline;
}
nav#navigation ul.navbar-nav > li.navbar-item .divider,
#sidebar-container .divider
{
    height: 1px;
    margin: 9px 0;
    overflow: hidden;
    background-color: #e5e5e5;
}
nav#navigation ul.navbar-nav > li.navbar-item {
    display: flex;
}
nav#navigation ul.navbar-nav > li.navbar-item > a,
nav#navigation ul.navbar-nav > li.navbar-item > button
{
    padding: 15px 10px;
    color: #495057;
}
nav#navigation .navbar-nav > li:hover {
    background-color: var(--ls-primary-100);
}
nav#navigation .navbar-nav > li > .btn-link:hover {
    background-color: transparent;
}
nav#navigation ul.dropdown-menu {
    background-color: #222;
}

.dropdown-menu > li > .navbar-link:focus,
.dropdown-menu > li > .navbar-link:hover
{
    background-color: #e8e8e8;
    background-image: linear-gradient(to bottom, #f5f5f5 0, #e8e8e8 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#ffe8e8e8', GradientType=0);
    background-repeat: repeat-x;
}
.dropdown-menu > li > .navbar-link:focus, .dropdown-menu > li > .navbar-link:hover
{
    color: #262626;
    text-decoration: none;
    background-color: #f5f5f5;
}
.dropdown-menu > li > .navbar-link {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 400;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
    width: 100%;
    text-align: left;
}
.dropdown-menu > li > .navbar-link.navbar-link {
    color: #F5F5F5;
}
.dropdown-menu > li > .navbar-link:focus,
.dropdown-menu > li > .navbar-link:hover
{
    color: #262626;
    text-decoration: none;
    background-color: #f5f5f5;
}
.nav > li > .navbar-link:focus,
.nav > li > .navbar-link:hover
{
    text-decoration: none;
    background-color: #eee;
}
.navbar-asalae .navbar-nav > .open > .navbar-link,
.navbar-asalae .navbar-nav > .open > .navbar-link:hover,
.navbar-asalae .navbar-nav > .open > .navbar-link:focus
{
    color: #555;
    background-color: #e7e7e7;
}
@media only screen and (max-width:768px) {
    .main-container {
        width: auto;
    }
    #notificationDropdown {
        width: auto;
        text-align: left;
    }
    #notificationDropdown span.resp-hide-large {
        padding-left: 5px;
    }
    li#container-number-notification span#number-notification {
        top: 16px;
        left: 4px;
    }
    #navigation > div.mx-auto {
        width: 100%;
        text-align: center;
    }
    #navigation > div.mx-auto > button.navbar-toggler {
        margin: auto;
    }
    #navigation li,
    nav#navigation ul.navbar-nav > li.navbar-item {
        text-align: left;
        display: block;
    }
    #navigation li a {
        display: block;
    }
    #body-content > header > nav.navbar a.navbar-brand {
        margin-right: auto;
    }
}
.hover-show .sidebar-submenu.show {
    display: block;
}
.hover-show .list-group-item-action span {
    display: inline;
}
#user-menu-dropdown .select-archival-agency.dropdown-item.active button {
    background-color: transparent;
    color: #222;
    font-weight: bold;
}
.collaspse-title {
    display: none;
}
.hover-show .collaspse-title {
    display: block;
}
.hover-show .collaspse-title {
    border-bottom: 1px solid #6d6d6d;
}
.hover-show .collaspse-title .sublist-item i {
    opacity: 1;
}
#navigation a:hover {
    text-decoration: none;
}

section.bg-white > header > .r-actions {
    display: flex;
    margin: 0;
    top: 13px;
}
section.bg-white > header > .r-actions > .pagination {
    flex: content;
    margin: 0 10px 0 0;
}
section.bg-white > header > .r-actions > .configure-link {
    margin-top: 5px;
}
section.bg-white > header > .r-actions > .configure-link {
    margin-top: 5px;
}
section.bg-white > header > .results {
    position: absolute;
    left: 0;
    right: 0;
    top: 20px;
    width: 100%;
    text-align: center;
}
section.bg-white > header > .l-actions {
    position: absolute;
    z-index: 100;
}
.select2-selection--multiple .select2-selection__clear {
    border: 1px solid #7b7b7b;
    border-radius: 4px;
    padding: 1px 7px;
}

.tooltip {
    font-size: inherit;
}

table > thead {
    position: sticky;
    top: 0;
    background-color: #ffffff;
    z-index: 100;
    box-shadow: 0 2px 3px -1px rgba(0,0,0,.1);
}

.table tr.checked,
.table-striped > tbody > tr.checked:nth-of-type(2n+1),
.table-striped > tbody > tr.checked:nth-of-type(2n)
{
    background-color: var(--ls-primary-100);
}

.table-div,
section.bg-white > .table-div {
    padding: 0;
    max-width: 100%;
}

@media only screen and (max-width:910px) {
    .main-container {
        width: 67%;
    }
}
@media only screen and (max-width:768px) {
    #body-row {
        padding-right: 10px;
    }
    .main-container {
        width: calc(100% - 50px);
    }
}

.drop-zone.ui-sortable .btn-info,
.drop-zone.ui-sortable .btn-info.active
{
    background-color: var(--ls-info-700);
    border-color: var(--ls-info-800);
}

.form-control.is-invalid, .was-validated .form-control:invalid {
    background-position: calc(100% - 5px) calc(.375em + .1875rem + 2px);
}

article > header > *  {
    display: block;
}

.modal .bottom-handle {
    left: 0;
    margin: 0;
}

input[type="checkbox"][readonly] {
    cursor: not-allowed;
}

html {
    font-size: 16px;
}

ul[data-activity-outcome] .author {
    font-weight: bold;
}
ul[data-activity-outcome] .subject .field {
    background-color: #FFF2C3;
    padding: 0 0.5rem;
    border-radius: 0.75rem;
}
ul[data-activity-outcome] .date {
    font-style: italic;
}
ul[data-activity-outcome] .date:hover,
ul[data-activity-outcome] .subject .content-before:hover,
ul[data-activity-outcome] .subject .content-after:hover {
    text-decoration: underline;
}
ul[data-activity-outcome] .date[title]:hover,
ul[data-activity-outcome] .subject .content-before[title]:hover,
ul[data-activity-outcome] .subject .content-after[title]:hover {
    cursor: help;
}
.tooltip {
    pointer-events: none;
}

[data-toggle="tooltip"]:disabled {
    pointer-events: auto;
}

.dropbox.dropbox-small {
    text-align: left;
    padding: 10px;
    min-height: 0;
    margin: 0 0 10px 0;
}
.dropbox.dropbox-small {
    text-align: left;
    padding: 10px;
    min-height: 0;
    margin: 0 0 10px 0;
}
.dropbox.dropbox-small > i.fa {
    vertical-align: middle;
    margin: 0 15px;
}
.dropbox.dropbox-small p {
    display: inline-block;
}
.dropbox.dropbox-small .btn {
    float: left;
    margin-top: 10px;
}
.custom-file, .custom-file-input {
    height: auto;
}

.select2-results__option[aria-selected="true"]{
    display: block;
}

.modal-body button.close {
    z-index: 10;
}

.btn-group > .dropdown:not(:last-child) > .btn:not(.dropdown-toggle) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.btn-group > .dropdown:not(:first-child) > .btn {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.filters-saves-table-dropdown {
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .2);
}
.filters-saves-table td:first-child {
    width: 100%;
    min-width: 300px;
}
.filters-saves-table td:first-child a {
    color: #333;
}
.filters-saves-table td.action i.fa {
    font-size: 18px;
}
.filters-saves-table td.action * {
    display: inline-block;
}
.filters-saves-table td {
    padding: 0 .75em;
    vertical-align: middle;
}
.fast-access-filters {
    max-width: 100%;
    flex-wrap: wrap;
    align-content: flex-start;
}
.fast-access-filters > .btn {
    flex: none;
}

fieldset.form-group > legend.col-form-label {
    border-bottom: none;
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: bold;
}
fieldset.form-group > legend.col-form-label.required::before {
    position: absolute;
    content: "*";
    color: #c02b2b;
    left: -10px;
}
fieldset.form-group .form-check {
    display: inline-block;
    padding-right: 10px;
    cursor: pointer;
}
fieldset.form-group .form-check > label:before {
    content: '';
}
fieldset.form-group .form-check label,
fieldset.form-group .form-check input
{
    cursor: pointer;
}

.modal-body {
    padding: 0;
}
.modal-body > article:first-child,
.modal-body > form:first-child
{
    margin-top: 20px;
}
.modal-body > article > header > *,
.modal-body > article > div > header > *,
.modal-body .modal-padding,
.modal-body > form
{
    padding-left: 15px;
    padding-right: 15px;
}
.modal-body .modal-margin {
    margin-left: 15px;
    margin-right: 15px;
}
#main-modal-body .ui-tabs {
    padding: 0;
}
#main-modal-body > .ui-widget > .ui-widget-header {
    margin: 0;
    padding: 5px 5px 0;
    border-radius: 0;
}
#main-modal-body > .ui-widget > .ui-widget-content > * {
    padding-left: 15px;
    padding-right: 15px;
}
#main-modal-body > .ui-widget > .ui-widget-content {
    margin: 20px 0 0;
    padding: 0;
}

.th {
    color: #4c575f;
    font-size: 1em;
    font-weight: 700;
    padding: .75rem;
    margin: 0;
    border-top: 1px solid #dee2e6;
    line-height: 1.42857143;
}

.label-group, .label-preview {
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;
    align-items: center;
}
.label-group .label-span {
    white-space: nowrap;
    margin: 2px 2px;
}
.label-span {
    border-radius: 1000px;
    vertical-align: 1px;
    line-height: 1.4;
    outline-offset: -2px;
}
.label-span.with-group .label-item-group {
    padding: 1px 5px;
    border-radius: 1000px 0 0 1000px;
    display: inline-block;
}
.label-span.with-group .label-item-text {
    padding: 2px 5px;
    margin-right: 5px;
    background-color: rgba(255, 255, 255, 0.5);
}
.label-span.without-group .label-item-text {
    padding: 1px 5px;
    padding: 2px 7px;
    display: inline-block;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice.label-option-container {
    border-radius: 1000px;
    background-color: transparent;
    border: none;
    padding-left: 0;
    outline-offset: -2px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice.label-option-container > button {
    margin-left: 3px;
    color: #ffffff;
    text-shadow: 1px 1px 1px black;
    border-right-color: #ffffff;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice.label-option-container .label-bg {
    padding-left: 23px !important;
}

.form-group.search-engine {
    position: relative;
}
.form-group.search-engine .submit-search-engine {
    position: absolute;
    border: none;
    background: transparent;
    left: 5px;
    bottom: 5px;
    color: #333;
}

.form-group.search-engine input {
    padding-left: 35px;
}

.search-engine-container {
    position: relative;
    z-index: 110;
}
.search-engine-container .dropdown-menu {
    top: 33px;
    position: absolute;
    box-shadow: 0 3px 3px 0 rgba(0, 0, 0, .2);
    margin: 0 1px;
    width: calc(100% - 2px);
    border: 0;
    border-radius: 0 0 .25rem .25rem;
}
.search-engine-container .dropdown-menu ul.search-bar-results {
    position: relative;
    top: 0;
    border: 0;
    padding: 0;
}
ul.search-bar-results li table {
    border-spacing: 0;
}
.search-engine-form.open input {
    border-radius: 4px 4px 0 0;
}

.search-bar-results {
    padding: 10px 20px 0;
    border-top: 1px solid rgba(0, 0, 0, .2);
}

.select2-selection__clear {
    position: absolute;
    right: 20px;
}

.container-small-form,
#body-content > #body-row > .main-container > .main-content > form > .container.container-small-form
{
    max-width: 600px;
}

.btn-hide:hover {
    color: #666;
}

.alert-with-icon {
    display: flex;
    align-items: center;
}
.alert-with-icon .fa {
    width: 2rem;
}

.sidebar-brand {
    display: flex;
    justify-content: center;
    align-items: center;
}
.sidebar-brand img {
    max-width: 100%;
    max-height: 100%;
}

.main-container.compact {
    max-width: 1170px;
}

.lost-session-div {
    margin: 20px;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 18px;
}
.lost-session-div .alert-with-icon .fa {
    margin-right: 10px;
}
.lost-session-div .alert-with-buttons {
    display: flex;
    padding-left: 38px;
}

.lost-session-div .alert-with-buttons > * {
    padding-top: 5px;
}
.lost-session-div .alert-with-buttons > * + * {
    margin-left: 15px;
}

table#session dl div {
    display: flex;
}
table#session dl div dt {
    margin-right: 5px;
}
table#session dl div dt:after {
    content: ': ';
}

.list-main-group {
    background-color: var(--metric-label-background);
    color: #222;
    font-weight: bold;
}
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) a.active {
    background-color: var(--ls-primary-50);
}
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show),
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) a,
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) button
{
    box-shadow: none;
    background-color: transparent;
}

.sublist-item.active .fa,
.sublist-item.active .fas,
.sublist-item.active .far,
.sublist-item.active .fab {
    display: block;
    opacity: 1;
    transition: opacity 0s;
}
.sublist-item.active {
    color: var(--ls-primary-700);
}

#sidebar-container > ul > li > .list-group-item
{
    padding: .75rem;
}
#sidebar-container > ul > li > .list-group-item i
{
    width: 35px;
}
#sidebar-container.sidebar-collapsed > ul > li > .list-group-item
{
    padding: .75rem 0;
    justify-content: center;
}
.hover-show > li:last-child
{
    border-bottom: none;
}

.form-check > label {
    display: inline;
}

div.form-group.highlighted label
{
    background: var(--ls-info-100);
    padding: 0 4px;
}
div.form-group.highlighted:before
{
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    content: "\00a0\f5ad";
    color: #333;
    position: relative;
    right: 0.3em;
}
div.form-group.highlighted label:before
{
    left: -27px;
}

button.btn + div:not(.dropdown) {
    margin-top: 20px;
}

.btn-for-input {
    margin-top: -10px;
}

.form-check-label.required::before {
    left: -27px;
}

.select2-container--default .select2-selection--multiple .locked-tag:after {
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    content: "\00a0\f023";
    color: #98551d;
    position: relative;
    right: 0.3em;
}

.modal-body .search-engine-container .dropdown-menu
{
    top: 57px;
}

.search-bar-results {
    margin-bottom: 0;
}

.search-result:hover {
    cursor: pointer;
    background-color: #e5e5e5;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice.category-unpublished:before,
.select2-results__options .select2-results__option--selectable.category-unpublished:before,
.select2-container--default .select2-selection--multiple .select2-selection__choice.category-unexistant:before,
.select2-results__options .select2-results__option--selectable.category-unexistant:before
{
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    content: "\00a0\f071";
    color: #98551d;
}

#sidebar-container .navbar-brand {
    white-space: wrap;
    padding: 2px 15px;
    margin: 0;
}

#container-lexicon button {
    text-align: center;
}

#sidebar-container.sidebar-collapsed {
    overflow: hidden;
}
@media (max-width: 768px) {
    #sidebar-container.sidebar-expanded .navbar-brand{
        display: none;
    }
}
#sidebar-container.sidebar-collapsed .navbar-brand {
    display: none;
}
#categories-nav {
    max-height: calc(100vh - 180px);
    overflow: auto;
}
li#container-number-notification span#number-notification {
    left: 28px;
}
.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link:active,
.navbar-dark .navbar-nav .nav-link:hover
{
    color: #ddd;
    background-color: #333;
}

/* Closed submenu icon */
#sidebar-container .list-group .list-group-item[aria-expanded="true"] .submenu-icon::after {
    content: " \f0d7";
}
/* Opened submenu icon */
#sidebar-container .list-group .list-group-item[aria-expanded="false"] .submenu-icon::after {
    content: " \f0da";
}

#sidebar-container > ul > li > .list-group-item i
{
    width: 20px;
}
